#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	libgee - GObject collection library
Summary(pl.UTF-8):	libgee - biblioteka kolekcji oparta na GObject
Name:		libgee0.6
Version:	0.6.8
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgee/0.6/libgee-%{version}.tar.xz
# Source0-md5:	2688c24f9a12e7616ee808f9092d0afe
URL:		http://live.gnome.org/Libgee
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# not required for stable releases (all generated files are included)
#BuildRequires:	vala
Requires:	glib2 >= 1:2.12.0
Obsoletes:	libgee < 0.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgee is a collection library providing GObject-based interfaces and
classes for commonly used data structures.

%description -l pl.UTF-8
libgee jest biblioteką udostępniajacą oparte na bibliotece GObject
interfejsy oraz klasy powszechnie używanych struktur danych.

%package devel
Summary:	Header files for libgee library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgee
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.0
Obsoletes:	libgee-devel < 0.7

%description devel
Header files for libgee library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgee.

%package static
Summary:	Static libgee library
Summary(pl.UTF-8):	Statyczna biblioteka libgee
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libgee-static < 0.7

%description static
Static libgee library.

%description static -l pl.UTF-8
Statyczna biblioteka libgee.

%package -n vala-libgee0.6
Summary:	libgee API for Vala language
Summary(pl.UTF-8):	API libgee dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
Obsoletes:	vala-libgee < 0.7
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libgee0.6
libgee API for Vala language.

%description -n vala-libgee0.6 -l pl.UTF-8
API libgee dla języka Vala.

%prep
%setup -q -n libgee-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgee.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgee.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgee.so.2
%{_libdir}/girepository-1.0/Gee-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgee.so
%{_pkgconfigdir}/gee-1.0.pc
%{_includedir}/gee-1.0
%{_datadir}/gir-1.0/Gee-1.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgee.a
%endif

%files -n vala-libgee0.6
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gee-1.0.vapi
%changelog
* Mon Mar 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgee0.6.git;a=log;h=master

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 1bd3faa
- noarch vala subpackage

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4ef74b8
- x32 rebuild
- release 2 (by relup.sh)

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 9dce2bf
- updated to 0.6.8

* Sat Dec 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 7020ad7
- updated to 0.6.7

* Wed Nov 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e5bb2f
- updated to 0.6.6.1

* Fri Oct 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 399541a
- updated to 0.6.6

* Wed Oct 17 2012 Jakub Bogusz <qboosh@pld-linux.org> b8b9eba
- last libgee 0.6.x (parallel installable with 0.8.x) forked from libgee.spec as libgee0.6.spec

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> b541838
- updated to 0.6.5

* Sat Jan 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 42d9aeb
- updated to 0.6.4
- pl fix
- added -static (on bcond)
- separated vala-libgee

* Sun Nov 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> be5c05e
- updated to 0.6.3

* Fri Sep 23 2011 Artur Frysiak <artur@frysiak.net> ffc03a4
- up to 0.6.2.1

* Sat Feb 26 2011 Artur Frysiak <artur@frysiak.net> 3180cd8
- drop libtool file
- rel. 2

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 473182a
- Up to 0.6.1

* Mon Sep 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ae07db2
- updated to 0.6.0

* Mon Aug 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 633560d
- updated to 0.5.2

* Thu Jul 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 84be6f3
- updated to 0.5.1

* Sun Nov 08 2009 Artur Frysiak <artur@frysiak.net> f98396b
- updated to 0.5.0

* Sun Aug 02 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4823055
- updated to 0.2.0

* Fri Apr 10 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3b8ea56
- revised deps
- added URL
- release 1

* Fri Apr 10 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 18a79e6
- new (by zajac_p at o2.pl)

